com.amarula.barcodescanner.sdk

## Class BarcodeScannerSymbologyTable.FlagsSDL

- java.lang.Object
- - com.amarula.barcodescanner.sdk.BarcodeScannerSymbologyTable.FlagsSDL

- Enclosing class:
    BarcodeScannerSymbologyTable

      public final class BarcodeScannerSymbologyTable.FlagsSDL
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SDL_AUS_POST_DEFAULT_FLAG`
    `static int` | `SDL_AUS_POST_FMT_ALPHANUMERIC`
    `static int` | `SDL_AUS_POST_FMT_AUTODISC`
    `static int` | `SDL_AUS_POST_FMT_NUMERIC`
    `static int` | `SDL_AUS_POST_FMT_OFFSET`
    `static int` | `SDL_AUS_POST_FMT_ROW`
    `static int` | `SDL_AZTEC_DEFAULT_FLAG`
    `static int` | `SDL_BOOKLAND_ISBN_DEFAULT_FLAG`
    `static int` | `SDL_BOOKLAND_ISBN_FORMAT_10`
    `static int` | `SDL_BOOKLAND_ISBN_FORMAT_13`
    `static int` | `SDL_BOOKLAND_ISBN_FORMAT_OFFSET`
    `static int` | `SDL_CHK_DGT_OFFSET`
    `static int` | `SDL_CHK_DIG_TX_DIS`
    `static int` | `SDL_CHK_DIG_TX_EN`
    `static int` | `SDL_CHK_DIG_TX_INVALID`
    `static int` | `SDL_CHK_DIG_TX_OFFSET`
    `static int` | `SDL_CODE11_CHK_DGT_VERY_1CD`
    `static int` | `SDL_CODE11_CHK_DGT_VERY_2CD`
    `static int` | `SDL_CODE11_CHK_DGT_VERY_DIS`
    `static int` | `SDL_CODE11_DEFAULT_FLAG`
    `static int` | `SDL_CODE32_DEFAULT_FLAG`
    `static int` | `SDL_CODE32_PREFIX_DIS`
    `static int` | `SDL_CODE32_PREFIX_EN`
    `static int` | `SDL_CODE32_PREFIX_OFFSET`
    `static int` | `SDL_CODE39_CHK_DGT_VERI_DIS`
    `static int` | `SDL_CODE39_CHK_DGT_VERI_EN`
    `static int` | `SDL_CODE39_CONVERT_32_DIS`
    `static int` | `SDL_CODE39_CONVERT_32_EN`
    `static int` | `SDL_CODE39_CONVERT_32_OFFSET`
    `static int` | `SDL_CODE39_DEFAULT_FLAG`
    `static int` | `SDL_CODE39_FULL_ASCII_DIS`
    `static int` | `SDL_CODE39_FULL_ASCII_EN`
    `static int` | `SDL_CODE39_FULL_ASCII_OFFSET`
    `static int` | `SDL_DATA_MATRIX_DEFAULT_FLAG`
    `static int` | `SDL_DATA_MATRIX_MIRROR_ALWAYS`
    `static int` | `SDL_DATA_MATRIX_MIRROR_AUTO`
    `static int` | `SDL_DATA_MATRIX_MIRROR_NEVER`
    `static int` | `SDL_DATA_MATRIX_MIRROR_OFFSET`
    `static int` | `SDL_FLAG_NONE`
    `static int` | `SDL_HAN_XIN_DEFAULT_FLAG`
    `static int` | `SDL_I25_CHK_DIG_DISABLE`
    `static int` | `SDL_I25_CHK_DIG_OPCC`
    `static int` | `SDL_I25_CHK_DIG_USS`
    `static int` | `SDL_I25_CONVERT_EAN13_DIS`
    `static int` | `SDL_I25_CONVERT_EAN13_EN`
    `static int` | `SDL_I25_CONVERT_OFFSET`
    `static int` | `SDL_I25_DEFAULT_FLAG`
    `static int` | `SDL_I25_SECURITY_LEVEL0`
    `static int` | `SDL_I25_SECURITY_LEVEL1`
    `static int` | `SDL_I25_SECURITY_LEVEL2`
    `static int` | `SDL_I25_SECURITY_LEVEL3`
    `static int` | `SDL_I25_SECURITY_OFFSET`
    `static int` | `SDL_INVERSE_AUTO`
    `static int` | `SDL_INVERSE_INVERSE`
    `static int` | `SDL_INVERSE_OFFSET`
    `static int` | `SDL_INVERSE_REGULAR`
    `static int` | `SDL_ISBT_CONCATE_AUTODISC`
    `static int` | `SDL_ISBT_CONCATE_DIS`
    `static int` | `SDL_ISBT_CONCATE_EN`
    `static int` | `SDL_ISBT_CONCATE_OFFSET`
    `static int` | `SDL_ISBT_DEFAULT_FLAG`
    `static int` | `SDL_ISBT_TABLE_DIS`
    `static int` | `SDL_ISBT_TABLE_EN`
    `static int` | `SDL_ISBT_TABLE_OFFSET`
    `static int` | `SDL_MATRIX_25_CHK_DGT_DIS`
    `static int` | `SDL_MATRIX_25_CHK_DGT_EN`
    `static int` | `SDL_MATRIX_25_DEFAULT_FLAG`
    `static int` | `SDL_MATRIX_25_REDUNDANCY_DIS`
    `static int` | `SDL_MATRIX_25_REDUNDANCY_EN`
    `static int` | `SDL_MATRIX_25_REDUNDANCY_OFFSET`
    `static int` | `SDL_MSI_CHK_DGT_ALGO_MODE10_10`
    `static int` | `SDL_MSI_CHK_DGT_ALGO_MODE10_11`
    `static int` | `SDL_MSI_CHK_DGT_ALGO_OFFSET`
    `static int` | `SDL_MSI_CHK_DGT_TYPE_ONE`
    `static int` | `SDL_MSI_CHK_DGT_TYPE_TWO`
    `static int` | `SDL_MSI_DEFAULT_FLAG`
    `static int` | `SDL_QR_DEFAULT_FLAG`
    `static int` | `SDL_SET_CHK_DIG_DIS`
    `static int` | `SDL_SET_CHK_DIG_EN`
    `static int` | `SDL_SET_CHK_DIG_INVALID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FlagsSDL()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SDL_FLAG_NONE

          public static final int SDL_FLAG_NONE

      See Also:
        Constant Field Values

    - #### SDL_CHK_DIG_TX_OFFSET

          public static final int SDL_CHK_DIG_TX_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_CHK_DIG_TX_DIS

          public static final int SDL_CHK_DIG_TX_DIS

      See Also:
        Constant Field Values

    - #### SDL_CHK_DIG_TX_EN

          public static final int SDL_CHK_DIG_TX_EN

      See Also:
        Constant Field Values

    - #### SDL_CHK_DIG_TX_INVALID

          public static final int SDL_CHK_DIG_TX_INVALID

      See Also:
        Constant Field Values

    - #### SDL_SET_CHK_DIG_EN

          public static final int SDL_SET_CHK_DIG_EN

      See Also:
        Constant Field Values

    - #### SDL_SET_CHK_DIG_DIS

          public static final int SDL_SET_CHK_DIG_DIS

      See Also:
        Constant Field Values

    - #### SDL_SET_CHK_DIG_INVALID

          public static final int SDL_SET_CHK_DIG_INVALID

      See Also:
        Constant Field Values

    - #### SDL_CHK_DGT_OFFSET

          public static final int SDL_CHK_DGT_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_CODE39_CHK_DGT_VERI_DIS

          public static final int SDL_CODE39_CHK_DGT_VERI_DIS

      See Also:
        Constant Field Values

    - #### SDL_CODE39_CHK_DGT_VERI_EN

          public static final int SDL_CODE39_CHK_DGT_VERI_EN

      See Also:
        Constant Field Values

    - #### SDL_CODE39_FULL_ASCII_OFFSET

          public static final int SDL_CODE39_FULL_ASCII_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_CODE39_FULL_ASCII_DIS

          public static final int SDL_CODE39_FULL_ASCII_DIS

      See Also:
        Constant Field Values

    - #### SDL_CODE39_FULL_ASCII_EN

          public static final int SDL_CODE39_FULL_ASCII_EN

      See Also:
        Constant Field Values

    - #### SDL_CODE39_CONVERT_32_OFFSET

          public static final int SDL_CODE39_CONVERT_32_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_CODE39_CONVERT_32_DIS

          public static final int SDL_CODE39_CONVERT_32_DIS

      See Also:
        Constant Field Values

    - #### SDL_CODE39_CONVERT_32_EN

          public static final int SDL_CODE39_CONVERT_32_EN

      See Also:
        Constant Field Values

    - #### SDL_CODE39_DEFAULT_FLAG

          public static final int SDL_CODE39_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_MSI_CHK_DGT_TYPE_ONE

          public static final int SDL_MSI_CHK_DGT_TYPE_ONE

      See Also:
        Constant Field Values

    - #### SDL_MSI_CHK_DGT_TYPE_TWO

          public static final int SDL_MSI_CHK_DGT_TYPE_TWO

      See Also:
        Constant Field Values

    - #### SDL_MSI_CHK_DGT_ALGO_OFFSET

          public static final int SDL_MSI_CHK_DGT_ALGO_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_MSI_CHK_DGT_ALGO_MODE10_10

          public static final int SDL_MSI_CHK_DGT_ALGO_MODE10_10

      See Also:
        Constant Field Values

    - #### SDL_MSI_CHK_DGT_ALGO_MODE10_11

          public static final int SDL_MSI_CHK_DGT_ALGO_MODE10_11

      See Also:
        Constant Field Values

    - #### SDL_MSI_DEFAULT_FLAG

          public static final int SDL_MSI_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_CODE11_CHK_DGT_VERY_DIS

          public static final int SDL_CODE11_CHK_DGT_VERY_DIS

      See Also:
        Constant Field Values

    - #### SDL_CODE11_CHK_DGT_VERY_1CD

          public static final int SDL_CODE11_CHK_DGT_VERY_1CD

      See Also:
        Constant Field Values

    - #### SDL_CODE11_CHK_DGT_VERY_2CD

          public static final int SDL_CODE11_CHK_DGT_VERY_2CD

      See Also:
        Constant Field Values

    - #### SDL_CODE11_DEFAULT_FLAG

          public static final int SDL_CODE11_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_I25_CHK_DIG_DISABLE

          public static final int SDL_I25_CHK_DIG_DISABLE

      See Also:
        Constant Field Values

    - #### SDL_I25_CHK_DIG_USS

          public static final int SDL_I25_CHK_DIG_USS

      See Also:
        Constant Field Values

    - #### SDL_I25_CHK_DIG_OPCC

          public static final int SDL_I25_CHK_DIG_OPCC

      See Also:
        Constant Field Values

    - #### SDL_I25_CONVERT_OFFSET

          public static final int SDL_I25_CONVERT_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_I25_CONVERT_EAN13_EN

          public static final int SDL_I25_CONVERT_EAN13_EN

      See Also:
        Constant Field Values

    - #### SDL_I25_CONVERT_EAN13_DIS

          public static final int SDL_I25_CONVERT_EAN13_DIS

      See Also:
        Constant Field Values

    - #### SDL_I25_SECURITY_OFFSET

          public static final int SDL_I25_SECURITY_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_I25_SECURITY_LEVEL0

          public static final int SDL_I25_SECURITY_LEVEL0

      See Also:
        Constant Field Values

    - #### SDL_I25_SECURITY_LEVEL1

          public static final int SDL_I25_SECURITY_LEVEL1

      See Also:
        Constant Field Values

    - #### SDL_I25_SECURITY_LEVEL2

          public static final int SDL_I25_SECURITY_LEVEL2

      See Also:
        Constant Field Values

    - #### SDL_I25_SECURITY_LEVEL3

          public static final int SDL_I25_SECURITY_LEVEL3

      See Also:
        Constant Field Values

    - #### SDL_I25_DEFAULT_FLAG

          public static final int SDL_I25_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_ISBT_CONCATE_OFFSET

          public static final int SDL_ISBT_CONCATE_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_ISBT_CONCATE_DIS

          public static final int SDL_ISBT_CONCATE_DIS

      See Also:
        Constant Field Values

    - #### SDL_ISBT_CONCATE_EN

          public static final int SDL_ISBT_CONCATE_EN

      See Also:
        Constant Field Values

    - #### SDL_ISBT_CONCATE_AUTODISC

          public static final int SDL_ISBT_CONCATE_AUTODISC

      See Also:
        Constant Field Values

    - #### SDL_ISBT_TABLE_OFFSET

          public static final int SDL_ISBT_TABLE_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_ISBT_TABLE_DIS

          public static final int SDL_ISBT_TABLE_DIS

      See Also:
        Constant Field Values

    - #### SDL_ISBT_TABLE_EN

          public static final int SDL_ISBT_TABLE_EN

      See Also:
        Constant Field Values

    - #### SDL_ISBT_DEFAULT_FLAG

          public static final int SDL_ISBT_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_CHK_DGT_DIS

          public static final int SDL_MATRIX_25_CHK_DGT_DIS

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_CHK_DGT_EN

          public static final int SDL_MATRIX_25_CHK_DGT_EN

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_REDUNDANCY_OFFSET

          public static final int SDL_MATRIX_25_REDUNDANCY_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_REDUNDANCY_DIS

          public static final int SDL_MATRIX_25_REDUNDANCY_DIS

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_REDUNDANCY_EN

          public static final int SDL_MATRIX_25_REDUNDANCY_EN

      See Also:
        Constant Field Values

    - #### SDL_MATRIX_25_DEFAULT_FLAG

          public static final int SDL_MATRIX_25_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_FMT_OFFSET

          public static final int SDL_AUS_POST_FMT_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_FMT_AUTODISC

          public static final int SDL_AUS_POST_FMT_AUTODISC

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_FMT_ROW

          public static final int SDL_AUS_POST_FMT_ROW

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_FMT_ALPHANUMERIC

          public static final int SDL_AUS_POST_FMT_ALPHANUMERIC

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_FMT_NUMERIC

          public static final int SDL_AUS_POST_FMT_NUMERIC

      See Also:
        Constant Field Values

    - #### SDL_AUS_POST_DEFAULT_FLAG

          public static final int SDL_AUS_POST_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_INVERSE_OFFSET

          public static final int SDL_INVERSE_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_INVERSE_REGULAR

          public static final int SDL_INVERSE_REGULAR

      See Also:
        Constant Field Values

    - #### SDL_INVERSE_INVERSE

          public static final int SDL_INVERSE_INVERSE

      See Also:
        Constant Field Values

    - #### SDL_INVERSE_AUTO

          public static final int SDL_INVERSE_AUTO

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX_MIRROR_OFFSET

          public static final int SDL_DATA_MATRIX_MIRROR_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX_MIRROR_NEVER

          public static final int SDL_DATA_MATRIX_MIRROR_NEVER

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX_MIRROR_ALWAYS

          public static final int SDL_DATA_MATRIX_MIRROR_ALWAYS

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX_MIRROR_AUTO

          public static final int SDL_DATA_MATRIX_MIRROR_AUTO

      See Also:
        Constant Field Values

    - #### SDL_DATA_MATRIX_DEFAULT_FLAG

          public static final int SDL_DATA_MATRIX_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_QR_DEFAULT_FLAG

          public static final int SDL_QR_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_AZTEC_DEFAULT_FLAG

          public static final int SDL_AZTEC_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_HAN_XIN_DEFAULT_FLAG

          public static final int SDL_HAN_XIN_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_BOOKLAND_ISBN_FORMAT_OFFSET

          public static final int SDL_BOOKLAND_ISBN_FORMAT_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_BOOKLAND_ISBN_FORMAT_10

          public static final int SDL_BOOKLAND_ISBN_FORMAT_10

      See Also:
        Constant Field Values

    - #### SDL_BOOKLAND_ISBN_FORMAT_13

          public static final int SDL_BOOKLAND_ISBN_FORMAT_13

      See Also:
        Constant Field Values

    - #### SDL_BOOKLAND_ISBN_DEFAULT_FLAG

          public static final int SDL_BOOKLAND_ISBN_DEFAULT_FLAG

      See Also:
        Constant Field Values

    - #### SDL_CODE32_PREFIX_OFFSET

          public static final int SDL_CODE32_PREFIX_OFFSET

      See Also:
        Constant Field Values

    - #### SDL_CODE32_PREFIX_DIS

          public static final int SDL_CODE32_PREFIX_DIS

      See Also:
        Constant Field Values

    - #### SDL_CODE32_PREFIX_EN

          public static final int SDL_CODE32_PREFIX_EN

      See Also:
        Constant Field Values

    - #### SDL_CODE32_DEFAULT_FLAG

          public static final int SDL_CODE32_DEFAULT_FLAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlagsSDL

          public FlagsSDL()